//server.cs
//By Brian Smith some parts by cucumberdude

exec("./item.cs");

function serverCmdWeaponUpgradeMode(%client)
{
	if(%client.isAdmin)
	{
		if($UGWeapon == 0)
		{
			messageAll('',"\c6An \c3Upgrade Weapon Mode\c6 Has Been Started By The Host.");
			activatePackage(WeaponUpgrade);
		}

		if($UGWeapon == 1)
		{
			messageAll('',"\c6The Host has ended the \c3Upgradeable Weapon Mode\c6.");
			deactivatePackage(WeaponUpgrade);
		}
	}
}

package WeaponUpgrade
{
	function gameConnection::onDeath(%client, %killerPlayer, %killer, %damageType, %a)
	{
		Parent::onDeath(%client, %killerPlayer, %killer, %damageType, %a);

		%killer.Coins+=10;
		%client.Coins=0;
		%client.UGStealth = 0;			
		%this = %killerPlayer;

		if(%killer.Coin == 10)
		{
			commandToClient(%killer,'centerPrint',"\c6Level up! You now have a \c3BOW\c6!", 3);
			%killer.UGStealth = 1;
		}
		else if(%killer.Coin == 20)
		{
			commandToClient(%killer,'centerPrint',"\c6Level up! You now have a \c3SPEAR\c6!", 3);
			%killer.UGStealth = 2;
		}
		else if(%killer.Coin == 30)
		{
			commandToClient(%killer,'centerPrint',"\c6Level up! You now have a \c3GUN\c6!", 3);
			%killer.UGStealth = 3;
		}
		else if(%killer.Coin == 40)
		{
			commandToClient(%killer,'centerPrint',"\c6Level up! You now have a \c3GUNS AKIMBO\c6!", 3);
			%killer.UGStealth = 4;
		}
		else if(%killer.UGCoin == 50)
		{
			commandToClient(%killer,'centerPrint',"\c6Level up! You now have \c3ROCKET LAUNCHER\c6!", 3);
			%killer.UGStealth = 5;
		}
		else if(%killer.UGCoin == 60)
		{
			commandToClient(%killer,'centerPrint',"\c6Level up! You now have \c3MONSTERSPEED\c6!", 3);
			%killer.player.setDatablock(PlayerQuakeArmor);
		}
		else
		{
			commandToClient(%killer,'centerPrint',"\c3"@%killer.UGCoin@"\c6 Coins!", 3);
		}
	}

	function UpWepImage::onMount(%this, %obj)
	{
		Parent::onMount(%this, %obj);
		%client = %obj.client;
		if(%client.UGStealth == 1)
		{
			%client.player.updateArm(BowImage);
			%client.player.mountImage(BowImage,0);
		}
		else if(%client.UGStealth == 2)
		{
			%client.player.updateArm(SpearImage);
			%client.player.mountImage(SpearImage,0);
		}
		else if(%client.UGStealth == 3)
		{
			%client.player.updateArm(GunImage);
			%client.player.mountImage(GunImage,0);
		}
		else if(%client.UGStealth == 4)
		{
			%client.player.updateArm(AkimboGunImage);
			%client.player.mountImage(AkimboGunImage,0);
		}
		else if(%client.UGStealth == 5)
		{
			%client.player.updateArm(RocketLauncherImage);
			%client.player.mountImage(RocketLauncherImage,0);
		}
		else
		{
			%client.player.updateArm(SwordImage);
			%client.player.mountImage(SwordImage,0);
		}
	}
};